Update WoltLab Suite version: 3.1.17 auf 5.2 diverse Fehler "wcf.acp.package.error.databaseChange" etc.

  • Affected Version
    WoltLab Suite 5.2

    Habe jetzt endlich mal das Update gekauft, noch nie solche Probleme gehabt beim Update.

    Forum lief vorher ohne Probleme d.h. keine Fehler beim installieren oder Updaten von Plugins.


    Alle Pakete waren auf dem aktuellen Stand laut "Updates suchen". Neue Paketserver eingetragen und Update gestartet. Es hängt immer zwischen 2% und 10%. Habe auch eine Testinstanz probiert wo alle Plugins deinstalliert wurden... selbes Ergebnis


    Es hagelt Fehlermeldung wie diese:


    Requested URL
    /acp/index.php?install-package/&t=45cd21e04ea255fd9f940659850909fa0f995ba6
    Referrer
    http://www....de/acp/index.php?package-update/
    Error Message
    wcf.acp.package.error.databaseChange
    Type
    RuntimeException
    File (Line)
    /var/www/vhosts/...de/httpdocs/lib/system/database/table/DatabaseTableChangeProcessor.class.php (1000)
    Stacktrace
    1. /var/www/vhosts/...de/httpdocs/acp/update_com.woltlab.wcf_5.2.php (212): wcf\system\database\table\DatabaseTableChangeProcessor->process(…)
    2. /var/www/vhosts/...de/httpdocs/lib/system/package/plugin/ScriptPackageInstallationPlugin.class.php (72): include(…)
    3. /var/www/vhosts/...de/httpdocs/lib/system/package/plugin/ScriptPackageInstallationPlugin.class.php (50): wcf\system\package\plugin\ScriptPackageInstallationPlugin->run(…)
    4. /var/www/vhosts/...de/httpdocs/lib/system/package/plugin/AbstractPackageInstallationPlugin.class.php (70): wcf\system\package\plugin\ScriptPackageInstallationPlugin->install(…)
    5. /var/www/vhosts/...de/httpdocs/lib/system/package/PackageInstallationDispatcher.class.php (673): wcf\system\package\plugin\AbstractPackageInstallationPlugin->update(…)
    6. /var/www/vhosts/...de/httpdocs/lib/system/package/PackageInstallationDispatcher.class.php (144): wcf\system\package\PackageInstallationDispatcher->executePIP(…)
    7. /var/www/vhosts/...de/httpdocs/lib/acp/action/InstallPackageAction.class.php (73): wcf\system\package\PackageInstallationDispatcher->install(…)
    8. /var/www/vhosts/...de/httpdocs/lib/action/AbstractDialogAction.class.php (68): wcf\acp\action\InstallPackageAction->stepInstall(…)
    9. /var/www/vhosts/....de/httpdocs/lib/action/AbstractAction.class.php (47): wcf\action\AbstractDialogAction->execute(…)
    10. /var/www/vhosts/....de/httpdocs/lib/system/request/Request.class.php (83): wcf\action\AbstractAction->__run(…)
    11. /var/www/vhosts/....de/httpdocs/lib/system/request/RequestHandler.class.php (96): wcf\system\request\Request->execute(…)
    12. /var/www/vhosts/....de/httpdocs/acp/index.php (9): wcf\system\request\RequestHandler->handle(…)
    • Official Post

    Hallo,


    meine Vermutung geht in Richtung einer zu restriktiven Konfiguration von Opcache, wodurch veraltete Daten geladen werden. Falls das Problem weiterhin besteht bitte ich um Kontaktaufnahme per Ticket, damit wir uns dies in der betroffenen Installation direkt ansehen können. Ursache sind übrigens Konflikte mit bereits bestehenden Datenbanktabellen, die dort nicht sein sollten.

    Alexander Ebert
    Senior Developer WoltLab® GmbH